Last Comment Bug 317409 - Add an option to hide obsolete attachments
: Add an option to hide obsolete attachments
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Attachments & Requests (show other bugs)
: 2.20
: All All
: -- enhancement (vote)
: Bugzilla 3.0
Assigned To: Frédéric Buclin
: default-qa
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-22 05:30 PST by timeless
Modified: 2007-02-13 18:44 PST (History)
2 users (show)
myk: approval+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (2.34 KB, patch)
2006-10-22 07:06 PDT, Frédéric Buclin
no flags Details | Diff | Splinter Review
patch, v1.1 (2.60 KB, patch)
2006-10-22 08:28 PDT, Frédéric Buclin
bugzilla-mozilla: review+
Details | Diff | Splinter Review

Description timeless 2005-11-22 05:30:18 PST
steps:
1. load bug 106386
2. try to figure out which attachments are still worth looking at.

actual results:
i'd suggest sugar, coffee, many breaks.

expected results:
even dependency tree has a hide resolved option. a way to hide obsolete attachments should be available both in the normal show_bug and in the viewall attachments displays.
Comment 1 GavinS 2005-11-23 04:58:54 PST
> a way to hide obsolete
> attachments should be available both in the normal show_bug and in the viewall
> attachments displays.

And maybe a user-pref to set the default 'show obsolete attachments' status.
 
Comment 2 Frédéric Buclin 2006-10-22 07:06:30 PDT
Created attachment 243098 [details] [diff] [review]
patch, v1
Comment 3 Frédéric Buclin 2006-10-22 08:28:11 PDT
Created attachment 243105 [details] [diff] [review]
patch, v1.1
Comment 4 Olav Vitters 2006-10-23 11:56:43 PDT
Comment on attachment 243105 [details] [diff] [review]
patch, v1.1

>Index: template/en/default/attachment/list.html.tmpl

>+    if (link.innerHTML == "Show Obsolete") {

Nit: innerHTML is non-standard (although well supported). Change such references to link.firstChild.nodeValue.
Comment 5 Frédéric Buclin 2006-10-23 13:29:59 PDT
Checking in template/en/default/attachment/list.html.tmpl;
/cvsroot/mozilla/webtools/bugzilla/template/en/default/attachment/list.html.tmpl,v  <--  list.html.tmpl
new revision: 1.33; previous revision: 1.32
done
Comment 6 Max Kanat-Alexander 2007-02-13 18:44:24 PST
Added to the release notes on bug 349423.

Note You need to log in before you can comment on or make changes to this bug.